:root {
    --background-color: #fffcf2;
    --blue-background-color: #c2d4dd;
    --pink-background-color: #e8cccc;
    --primary-text: #252422;
    --secondary-text: #4d2600;
    --pink-text: #b86161;
}

header {
    background-image: url(../srcs/Index-Images/Header.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    padding: 1.2rem;
    margin: 0;
}

body {
    margin: 0 auto;
    background-color: var(--background-color);
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    text-align: center;
    color: var(--secondary-text);
}

div p {
    padding-bottom: 1rem;
}

nav {
    background-color: var(--blue-background-color);
    border: 2px solid #4d2600;
    font-size: 1.2rem;
    display: flex;
    align-items: center;
    margin: auto;
    justify-content: space-evenly;
    width: 100%;
}

nav a {
    padding: 14px 16px;
    color: var(--primary-text);
}

nav a:hover {
    color: var(--pink-text);
    transform: scale(1.1);
}

a {
    color: var(--primary-text);
    text-decoration: none;
    transition: transform 0.2s ease;
}

a:hover {
    transform: scale(1.1);
    transition: transform .2s;
    color: var(--pink-text);
}

.center {
    background-color: var(--pink-background-color);
    border: 2px solid #4d2600;
    padding: 2rem;
    margin: 0 auto;
    width: fit-content;
    margin-top: 2rem;
    margin-bottom: 2rem;

    display: flex;
    align-items: center;
    justify-content: space-evenly;
    gap: 40px;
}

.space {
    display: flex;
    gap: 40px;
    margin: 0 auto;
    justify-content: center;
}

.name {
    font-size: 3rem;
    font-weight: 600;
    background-image: radial-gradient(circle, #403d39, #4d2600);
    color: transparent;
    background-clip: text;
}

footer p {
    font-size: 1rem;
    color: var(--primary-text);
    opacity: 0.2;
}

.container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.item {
    flex: 0 0 250px;
    background-color: var(--pink-background-color);
    border: 2px solid #4d2600;
    margin: 1rem;
    padding: 1.5rem;
}

.stack {
    font-family: "Lucida Console", "Courier New", monospace;
    border: 2px solid #4d2600;
    border-radius: 1.5rem;
    padding: 1rem;
}

.github:hover {
    transform: rotate(20deg);
}

/* ----------- ABOUT ME STYLING ----------- */
/*
 * sources: https://freefrontend.com/css-card-layouts/ 
*/

.about-item {
    display: flex;
    flex: 0 0 350px;
    flex-direction: column;
    padding: 2rem;
    background: #f8f3e8;
    box-shadow: 0 0 40px rgba(0, 0, 0, 0.4), 0 0 40px rgba(0, 0, 0, 0.4);
    border-radius: 3px;
    margin: 2rem;
}

.about-stack{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-center;
    flex: 0 0 250px;
    flex-direction: row;
}

#cards{
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap:1rem;
}

#card:hover {
    transform: scale(1.1);
    transition: transform .2s;
}

/* ----------- IMAGES ----------- */
#about-header{
    background-image: url(../srcs/about-page-imgs/header.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

#about-page-img{
    background-image: url(../srcs/about-page-imgs/about-bg.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

#about-summary-img{
    background-image: url(../srcs/about-page-imgs/notebook.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

#about-card-img{
    background-image: url(../srcs/about-page-imgs/noteStars.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.sticky-note{
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}
/* ----------- IMAGES END ----------- */
